# 路由监控

路由监控功能可以查看各个接口的调用情况，监控信息收集采用拦截器实现，前往【服务管理】-【路由监控】查看

- 后台预览

![监控日志](images/10093_1.png "10093_1.png")

![监控日志](images/10093_2.png "10093_2.png")


- 注意事项

处理完错误后，请及时`标记解决`，一个接口默认保存50条错误信息，采用LRU机制，淘汰老的。标记解决后则会空出一个位置存放新的错误信息。

重复的错误只会存放一条记录，然后累加错误次数，重复错误定义如下：

`instanceId + routeId + errorMsg`，即一个实例 + 路由id + 错误信息确定一个错误

可在网关设置`sop.monitor.error-count-capacity=50`参数调整错误容量

考虑到数据库压力，网关收到错误信息后并不会立即保存到数据库，而是先保存到内容中，然后定时保存到时间，默认时间隔为30秒
可通过`sop.monitor.flush-period-seconds=30`调整间隔时间。

相关类：

- com.gitee.sop.gateway.interceptor.MonitorRouteInterceptor
