# 公私钥介绍

- 公私钥用途

简单来说就是`私钥加签，公钥验证`

接入方和开放平台各自拥有一对公私钥，并且把自己的公钥给对方。

接入方登录后，首先生成一对公私钥，接入方的公钥被称为`应用公钥`，然后把公钥上传给开放平台，同时，开放平台会把平台公钥返回给接入方。
这样实现了一个交换公钥的步骤，私钥自己保管，不能暴露。

- 接入方如何使用私钥

在进行接口调用时需要对请求参数进行加签，使用各自语言对应的`SHA256WithRSA`签名函数，并使用`应用私钥`对待签名字符串进行签名。

- 开放平台私钥如何使用

在进行业务回调的时候使用，如支付完成后开放平台回调接入方提供的回调接口，此时就是开放平台调用接入方的接口。

开放平台用平台私钥进行加签，然后接入方收到请求后，需要使用`平台公钥`进行验签，验证通过后再执行后续逻辑。

## 公私钥生成

在线生成，[点击前往](http://web.chacuo.net/netrsakeypair)


`生成密钥位数`选择`2048位`，秘钥格式Java语言选择`PKCS#8`，非Java选择`PKCS#1`，证书密码不填

> 注：去掉首尾`-----BEGIN PUBLIC KEY-----`，`-----END PUBLIC KEY-----`

将生成的公钥上传，私钥保存。

